/*++

Copyright (c) 2009
Lysann Kessler, Stephanie Platz, Thomas Klingbeil, Philipp Tessenow, Frank Schlegel;
Michael Haupt, Michael Perscheid, Robert Hirschfeld;
Software Architecture Group, Hasso-Plattner-Institut, University of Potsdam, Germany

This software is published under MIT license.
It uses phidget library by Phidgets Inc. (http://phidgets.com).
See ../../../../license.pdf for more information.

--*/

#ifndef _PHIDGETCOMPONENT_RFID_H_
#define _PHIDGETCOMPONENT_RFID_H_

#include "PhidgetPlugin.h"

// methods
BOOL phidgetCompRFID_IsAntennaOn(PhidgetId id);
BOOL phidgetCompRFID_SetAntennaState(PhidgetId id, BOOL bState);
BOOL phidgetCompRFID_GetLastTag(PhidgetId id, char* pcTagArray);
BOOL phidgetCompRFID_HasTag(PhidgetId id);
BOOL phidgetCompRFID_SetSemaphoreIndex_TagFound(PhidgetId id, int iSemaphoreIndex);
BOOL phidgetCompRFID_SetSemaphoreIndex_TagLost(PhidgetId id, int iSemaphoreIndex);

#endif // _PHIDGETCOMPONENT_RFID_H_
